# Example on how to change camera config with the same settings as can be done in
# the viewer

import chronoptics.tof as tof

# Create new user config
user_config = tof.UserConfig()

# Choose indoors/outdoors
user_config.setEnvironment(tof.ImagingEnvironment.INSIDE)

# Choose maximum distance
user_config.setMaxDistance(5.0)

# Choose FPS limit
user_config.setFps(30.0)

# Choose strategy
user_config.setStrategy(tof.Strategy.BALANCED)

# Choose integration time
user_config.setIntegrationTime(tof.IntegrationTime.MEDIUM)

# Connect to camera
cam = tof.KeaCamera(None, "2020004")

# Create camera config for camera
camera_config = user_config.toCameraConfig(cam)

# Set camera config on camera
cam.setCameraConfig(camera_config)
